package com.n0tice.api.client.model;

import java.io.Serializable;

public class AccessToken implements Serializable {

	private static final long serialVersionUID = 1L;

	private String token;
	private String secret;

	public AccessToken() {
	}
	
	public AccessToken(String token, String secret) {
		this.token = token;
		this.secret = secret;
	}
	
	public String getToken() {
		return token;
	}

	public String getSecret() {
		return secret;
	}

	@Override
	public String toString() {
		return "AccessToken [secret=" + secret + ", token=" + token + "]";
	}
	
}
