package com.n0tice.api.client.model;

import java.io.Serializable;

public class Image implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String id;
	private String small;
	private String medium;
	private String large;
	private String extralarge;
	private String mediumlandscape;
	private String mediumoriginalaspectdouble;
	private String orientation;
	
	public Image() {
	}
	
	public Image(String id, String small, String medium, String large, String extralarge, String mediumlandscape, String mediumoriginalaspectdouble, String orientation) {
		this.id = id;
		this.small = small;
		this.medium = medium;
		this.large = large;
		this.extralarge = extralarge;
		this.mediumlandscape = mediumlandscape;
		this.mediumoriginalaspectdouble = mediumoriginalaspectdouble;		
		this.orientation = orientation;
	}
	
	public String getId() {
		return id;
	}
	
	public String getSmall() {
		return small;
	}

	public String getMedium() {
		return medium;
	}
	
	public String getMediumlandscape() {
		return mediumlandscape;
	}
	
	public String getMediumoriginalaspectdouble() {
		return mediumoriginalaspectdouble;
	}

	public String getLarge() {
		return large;
	}
	
	public String getExtralarge() {
		return extralarge;
	}

	public String getOrientation() {
		return orientation;
	}

	@Override
	public String toString() {
		return "Image [extralarge=" + extralarge + ", id=" + id + ", large="
				+ large + ", medium=" + medium + ", mediumlandscape="
				+ mediumlandscape + ", mediumoriginalaspectdouble="
				+ mediumoriginalaspectdouble + ", orientation=" + orientation
				+ ", small=" + small + "]";
	}
	
}
