package com.n0tice.api.client.model;

import java.io.Serializable;
import java.util.Date;

public class ModerationComplaint implements Serializable {
	
	private final static long serialVersionUID = 1L;
	
	private int id;
	private User user;
	private Date date;
	private String type;
	private String notes;
	private String status;
	private String email;

	public ModerationComplaint() {
	}
	
	public ModerationComplaint(int id, User user, Date date, String type, String notes, String email, String status) {
		this.user = user;
		this.date = date;
		this.type = type;
		this.notes = notes;
		this.id = id;
		this.status = status;
		type = email;
	}

	public int getId() {
		return id;
	}
	
	public User getUser() {
		return user;
	}

	public Date getDate() {
		return date;
	}

	public String getType() {
		return type;
	}

	public String getNotes() {
		return notes;
	}
	
	public String getStatus() {
		return status;
	}

	public String getEmail() {
		return email;
	}

	@Override
	public String toString() {
		return "ModerationComplaint [date=" + date + ", email=" + email
				+ ", id=" + id + ", notes=" + notes + ", status=" + status
				+ ", type=" + type + ", user=" + user + "]";
	}
	
}