package com.n0tice.api.client.model;

import java.io.Serializable;

public class ModerationState implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private String id;
	private boolean live;
	private String label;
	
	public ModerationState() {
	}
	
	public ModerationState(String id, boolean live, String label) {
		this.id = id;
		this.live = live;
		this.label = label;
	}

	public String getId() {
		return id;
	}

	public boolean isLive() {
		return live;
	}

	public String getLabel() {
		return label;
	}

	@Override
	public String toString() {
		return "ModerationState [id=" + id + ", label=" + label + ", live=" + live + "]";
	}
	
}
