package com.n0tice.api.client.model;

import java.io.Serializable;

public class Video implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private String id;
	private Image image;
	private Long duration;
	private String youTubeId;
	
	public Video() {
	}
	
	public Video(String id, Image image) {
		this.id = id;
		this.image = image;
	}
	
	public String getId() {
		return id;
	}
	
	public Image getImage() {
		return image;
	}

	public Long getDuration() {
		return duration;
	}

	public String getYouTubeId() {
		return youTubeId;
	}

	@Override
	public String toString() {
		return "Video [duration=" + duration + ", id=" + id + ", image="
				+ image + ", youTubeId=" + youTubeId + "]";
	}
	
}
