package com.n0tice.api.client.parsers;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import com.n0tice.api.client.model.MediaInfo;

public class MediaInfoParserTest {

	@Test
	public void canParseMediaInfo() throws Exception {
		final MediaInfoParser parser = new MediaInfoParser();
		MediaInfo mediaInfo = parser.parse(ContentLoader.loadContent("mediainfo.json"));
		
		assertEquals(3, mediaInfo.getTracks().size());
		assertEquals("MPEG-4", mediaInfo.getTracks().get(0).get("Format"));
	}

}
