package com.n0tice.api.client.model;

import java.io.Serializable;

public class Group implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String id;
	private String name;
	private String colour;

	public Group() {
	}
	
	public Group(String id, String name, String colour) {
		this.id = id;
		this.name = name;
	}

	public String getId() {
		return id;
	}

	public String getName() {
		return name;
	}
	
	public String getColour() {
		return colour;
	}

	@Override
	public String toString() {
		return "Group [colour=" + colour + ", id=" + id + ", name=" + name
				+ "]";
	}
	
}
