package com.n0tice.api.client.model;

import java.io.Serializable;
import java.util.Date;

public class HistoryItem implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private User user;
	private String type;
	private Date date;
	private String notes;
	private String moderationUser;

	public HistoryItem() {
	}
	
	public HistoryItem(User user, String type, Date date, String notes, String moderationUser) {
		this.user = user;
		this.type = type;
		this.date = date;
		this.notes = notes;
		this.moderationUser = moderationUser;
	}

	public User getUser() {
		return user;
	}

	public String getType() {
		return type;
	}

	public Date getDate() {
		return date;
	}
	
	public String getNotes() {
		return notes;
	}
	
	public String getModerationUser() {
		return moderationUser;
	}

	@Override
	public String toString() {
		return "HistoryItem [user=" + user + ", type=" + type + ", date="
				+ date + ", notes=" + notes + ", moderationUser="
				+ moderationUser + "]";
	}
	
}
