package com.n0tice.api.client.model;

import java.io.Serializable;

public class ModerationAction implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private String id;
	private String label;
	private ModerationState status;
	
	public ModerationAction() {
	}
	
	public ModerationAction(String id, String label, ModerationState status) {
		this.id = id;
		this.label = label;
		this.status = status;
	}

	public String getId() {
		return id;
	}
	
	public String getLabel() {
		return label;
	}

	public ModerationState getStatus() {
		return status;
	}
	
	@Override
	public String toString() {
		return "ModerationAction [id=" + id + ", label=" + label + ", status=" + status + "]";
	}
	
}
