package com.n0tice.api.client.model;

import java.io.Serializable;
import java.util.Date;

public class Notification implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private long id;
	private Date created;
	private String message;
	private boolean read;
	
	public Notification() {
	}

	public long getId() {
		return id;
	}

	public Date getCreated() {
		return created;
	}

	public String getMessage() {
		return message;
	}

	public boolean isRead() {
		return read;
	}

	@Override
	public String toString() {
		return "Notification [created=" + created + ", id=" + id + ", message="
				+ message + ", read=" + read + "]";
	}
	
}
