package com.n0tice.api.client.model;

import java.io.Serializable;

public class Place implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String name;
	private double latitude;
	private double longitude;
	private String timeZone;
	private String country;
	
	public Place() {
	}
	
	public Place(String name, double latitude, double longitude, String timeZone, String country) {
		this.name = name;
		this.latitude = latitude;
		this.longitude = longitude;
		this.timeZone = timeZone;
		this.country = country;
	}
	
	public String getName() {
		return name;
	}
	
	public double getLatitude() {
		return latitude;
	}
	
	public double getLongitude() {
		return longitude;
	}
	
	public String getTimeZone() {
		return timeZone;
	}
	
	public String getCountry() {
		return country;
	}

	@Override
	public String toString() {
		return "Place [name=" + name + ", latitude=" + latitude
				+ ", longitude=" + longitude + ", timeZone=" + timeZone
				+ ", country=" + country + "]";
	}
	
}
