package com.n0tice.api.client.model;

import java.io.Serializable;
import java.util.Date;

public class Update implements Serializable {
		
	private static final long serialVersionUID = 1L;

	private String id;
	private String body;
	private String link;
	private Image image;
	private Video video;
	private User user;
	private Date created;
	private Date modified;
	private String via;
	
	public Update() {
	}
	
	public Update(String id, User user, String body, String link, Image image, Video video, Date created, Date modified, String via) {
		this.id = id;
		this.user = user;
		this.body = body;
		this.link = link;
		this.image = image;
		this.video = video;
		this.created = created;
		this.modified = modified;
		this.via = via;
	}
	
	public String getId() {
		return id;
	}
	
	public User getUser() {
		return user;
	}
	
	public String getBody() {
		return body;
	}

	public String getLink() {
		return link;
	}

	public Image getImage() {
		return image;
	}
	
	public Video getVideo() {
		return video;
	}

	public Date getCreated() {
		return created;
	}

	public Date getModified() {
		return modified;
	}

	public String getVia() {
		return via;
	}

	@Override
	public String toString() {
		return "Update [id=" + id + ", body=" + body + ", link=" + link
				+ ", image=" + image + ", video=" + video + ", user=" + user
				+ ", created=" + created + ", modified=" + modified + ", via="
				+ via + "]";
	}
	
}
